body > div.modal {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 14;
  background-color: hsla(0, 0%, 0%, 50%);
  position: fixed;
}

body > div.modal.visible {
  display: flex;
  flex-flow: column nowrap;
  overflow: hidden auto;
  justify-content: center;
  align-items: center;

  form {
    display: flex;
    flex: 1 0;
    flex-flow: column nowrap;
    overflow: auto;
    justify-content: flex-start;
    align-items: stretch;
    max-width: 60%;
    background-color: whitesmoke;
    color: black;
    padding: 2ch;
    margin: 2em 0;
   
    >img:first-child {
      max-width: 100%;
      max-height: 100%;
    }
    >div:last-child {
      div.row {
        flex-flow: row nowrap;
        justify-content: stretch;

        > div.col {
          flex: 1 0;
        }
      }
    }

    p {
      text-align: center;
      font-style: italic;
    }

    input {
      min-width: 0%;
      min-height: 1.1em;
      flex: 1 1;
    }

    input[type="radio"] {
      justify-self: flex-start;
      flex: 0 0;
      min-width: 1ch;
      min-height: 1em;
    }

    input[type="radio"] + label {
      margin: 0 1ch;
    }
  }
}